/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__0FE99A0F_E50B_4FF2_9F55_85C581DF38F7__INCLUDED_)
#define AFX_STDAFX_H__0FE99A0F_E50B_4FF2_9F55_85C581DF38F7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED

#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>



// Import libraries: Outlook Object Model and Redemption.
// --------------------------------------------------------
// Type Libraries are referenced by their unique LIBIDs.
// Note:
// LIBRARIES MUST BE REGISTERED IN THE SYSTEM.
// mso.dll, msoutl.olb, msaddndr.dll: are registered during Microsoft Outlook installation

// This is LIBID for 'mso.dll'
#import "libid:2DF8D04C-5BFA-101B-BDE5-00AA0044DE52" rename_namespace("Office") named_guids \
        rename("DocumentProperties", "OlDocumentProperties") \
        rename("RGB", "OlRGB")

// This is LIBID for 'msoutl.olb'
#import "libid:00062FFF-0000-0000-C000-000000000046" rename_namespace("Outlook") \
        raw_interfaces_only, named_guids \
        rename("CopyFile", "OlCopyFile")

// This is LIBID for 'MSADDNDR.DLL'
#import "libid:AC0714F2-3D04-11D1-AE7D-00A0C90F26F4" raw_interfaces_only, \
        raw_native_types, no_namespace, named_guids

using namespace Office;
using namespace Outlook;



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__0FE99A0F_E50B_4FF2_9F55_85C581DF38F7__INCLUDED)
