/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// CustomGroupbox.cpp : implementation file
//

#include "stdafx.h"
#include "OutlookPlugin.h"
#include "CustomGroupbox.h"

IMPLEMENT_DYNAMIC(CCustomGroupbox, CButton)

CCustomGroupbox::CCustomGroupbox()
{
    id =0;
    VERIFY(brush.CreateStockObject(HOLLOW_BRUSH));    
}

CCustomGroupbox::~CCustomGroupbox()
{
}

void CCustomGroupbox::DoDataExchange(CDataExchange* pDX)
{
	CButton::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CCustomGroupbox, CButton)
    ON_WM_PAINT()
    ON_WM_CTLCOLOR()
END_MESSAGE_MAP()


// CCustomGroupbox message handlers

void CCustomGroupbox::OnPaint(){
    

  if(id == 1){
      CRect rectClient;
      CRect rectFrame;
      CSize sizeText(0);
      CRect rectText(0,0,0,0);
      CRect rectContent;
      GetClientRect(rectClient);

      rectClient.DeflateRect(1,1);

      //  Calculate Frame rect
      rectFrame.left = rectClient.left;
      rectFrame.top = rectClient.top + sizeText.cy/2;

      rectFrame.right = rectClient.right;
      rectFrame.bottom = rectFrame.top + rectClient.Height() - sizeText.cy/2; 

      CPaintDC dc(this); // device context for painting

    // Draw Frame border
    CPen penFrame;
    CBrush brushBKFrame(RGB(255,0,0));
    
    // set here pen properties
    penFrame.CreatePen(PS_SOLID, 1, COLOR_GROUPBOX_BLACK);

    CPen* pOldPen = dc.SelectObject(&penFrame);
    CBrush* pOldBrush = (CBrush*)dc.SelectStockObject(NULL_BRUSH);

    int k=0;
    while(k<10){
      dc.RoundRect(rectFrame, CPoint(10,10)); 
      if(k%2 ==0)
         rectFrame.DeflateRect(0,1);
      else
         rectFrame.DeflateRect(1,0);

      k++;
     };
    dc.SelectObject(pOldPen);
    dc.SelectObject(pOldBrush); 
 } //endif id==1
 
 else{
     CButton::OnPaint();
  }; // endif id

 
}

HBRUSH CCustomGroupbox::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor   ){
    /*if(id == 2){
        return brush;
    };
    */

    HBRUSH hbr = CButton::OnCtlColor(pDC, pWnd, nCtlColor);
    return hbr;
}
