/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#include "StdAfx.h"

#define COLOR_GROUPBOX_BLACK RGB(0,0,0)
class CCustomGroupbox : public CButton
{
	DECLARE_DYNAMIC(CCustomGroupbox)

public:
    /*
    id's:
    1 - rounded thick black rectangle
    2 - groupbox with black text
    */
    int id;
    CBrush brush;
    CString text;
    CCustomGroupbox();   
    virtual ~CCustomGroupbox();

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    
    DECLARE_MESSAGE_MAP()
    afx_msg void OnPaint();
    afx_msg void OnNcPaint();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor   );

};
