/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "afxcmn.h"
#if !defined(AFX_OPVIEW_H__FA98B713_D0B7_11D3_BC39_00C04F602FEE__INCLUDED_)
#define AFX_OPVIEW_H__FA98B713_D0B7_11D3_BC39_00C04F602FEE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OutlookPluginDoc.h"
#include "AnimatedIcon.h"

class CLeftView : public CFormView
{
    DECLARE_DYNCREATE(CLeftView)
protected: // create from serialization only
	CLeftView();
    virtual ~CLeftView();

public:
	enum { IDD = IDD_FORM_LEFT };
public:
	COutlookPluginDoc* GetDocument();
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLeftView)

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

protected:
    void populateList();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	CWnd* m_target;
    CBrush brush;
    int previousSelectedItem;
    int currentSelectedItem;
    CImageList imgList;

    void setBkgImage(int itemNumber);

public:
    CListCtrl lstConfig;
    CStatic sep1;
	void SetTarget(CWnd* m_cwnd);
    void selectItem(const int index);

    afx_msg void OnCancel() {};
    afx_msg void OnOK() {};
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
    virtual BOOL PreTranslateMessage(MSG* pMsg);

	//}}AFX_VIRTUAL

    afx_msg void OnNcPaint();
    afx_msg HBRUSH OnCtlColor( CDC*, CWnd*, UINT );
    afx_msg void OnLvnItemchangedLeftList(NMHDR *pNMHDR, LRESULT *pResult);
public:
    afx_msg void OnLvnGetdispinfoLeftList(NMHDR *pNMHDR, LRESULT *pResult);
    afx_msg void OnLvnItemchangingLeftList(NMHDR *pNMHDR, LRESULT *pResult);
};

#ifndef _DEBUG  
inline COutlookPluginDoc* CLeftView::GetDocument()
   { return (COutlookPluginDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif 
