/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef INCL_VOBJECT_CONVERTER
#define INCL_VOBJECT_CONVERTER


#include "base/quoted-printable.h"
#include "vocl/VObject.h"

#include "winmaincpp.h"
#include "outlook/ClientContact.h"
#include "outlook/ClientAppointment.h"
//#include "outlook/ClientTask.h"


// Client Item -> VObject
VObject* client2VObjectContact    (ClientContact*     cItem);
VObject* client2VObjectAppointment(ClientAppointment* cItem);
//VObject*    OLTask2VTask(ClientTask* task);

// VObject -> Client item
void vObject2ClientContact    (VObject *vo, ClientContact*     cItem);
void vObject2ClientAppointment(VObject *vo, ClientAppointment* cItem);
//ClientTask*        vTask2OLTask(VObject* vo);


WCHAR* getVObjectPropertyValue   (VObject* vo, const WCHAR* propertyName);
bool   checkVobjectTypeAndVersion(VObject* vo, const std::wstring& itemType);

#endif